- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CbcOrClpParam Class Reference

Very simple class for setting parameters. More...

`#include <CbcOrClpParam.hpp>`

Collaboration diagram for CbcOrClpParam:

[legend]
List of all members.

## stuff
void | append (std::string keyWord)
| Insert string (only valid for keywords).
void | addHelp (std::string keyWord)
| Adds one help line.
std::string | name () const
| Returns name.
std::string | shortHelp () const
| Returns short help.
int | setDoubleParameter (CbcModel &model, double value)
| Sets a double parameter (nonzero code if error).
const char * | setDoubleParameterWithMessage (CbcModel &model, double value, int &returnCode)
| Sets double parameter and returns printable string and error code.
double | doubleParameter (CbcModel &model) const
| Gets a double parameter.
int | setIntParameter (CbcModel &model, int value)
| Sets a int parameter (nonzero code if error).
const char * | setIntParameterWithMessage (CbcModel &model, int value, int &returnCode)
| Sets int parameter and returns printable string and error code.
int | intParameter (CbcModel &model) const
| Gets a int parameter.
int | setDoubleParameter (ClpSimplex *model, double value)
| Sets a double parameter (nonzero code if error).
double | doubleParameter (ClpSimplex *model) const
| Gets a double parameter.
const char * | setDoubleParameterWithMessage (ClpSimplex *model, double value, int &returnCode)
| Sets double parameter and returns printable string and error code.
int | setIntParameter (ClpSimplex *model, int value)
| Sets a int parameter (nonzero code if error).
const char * | setIntParameterWithMessage (ClpSimplex *model, int value, int &returnCode)
| Sets int parameter and returns printable string and error code.
int | intParameter (ClpSimplex *model) const
| Gets a int parameter.
int | setDoubleParameter (OsiSolverInterface *model, double value)
| Sets a double parameter (nonzero code if error).
const char * | setDoubleParameterWithMessage (OsiSolverInterface *model, double value, int &returnCode)
| Sets double parameter and returns printable string and error code.
double | doubleParameter (OsiSolverInterface *model) const
| Gets a double parameter.
int | setIntParameter (OsiSolverInterface *model, int value)
| Sets a int parameter (nonzero code if error).
const char * | setIntParameterWithMessage (OsiSolverInterface *model, int value, int &returnCode)
| Sets int parameter and returns printable string and error code.
int | intParameter (OsiSolverInterface *model) const
| Gets a int parameter.
int | checkDoubleParameter (double value) const
| Checks a double parameter (nonzero code if error).
std::string | matchName () const
| Returns name which could match.
int | lengthMatchName () const
| Returns length of name for ptinting.
int | parameterOption (std::string check) const
| Returns parameter option which matches (-1 if none).
void | printOptions () const
| Prints parameter options.
std::string | currentOption () const
| Returns current parameter option.
void | setCurrentOption (int value, bool printIt=false)
| Sets current parameter option.
const char * | setCurrentOptionWithMessage (int value)
| Sets current parameter option and returns printable string.
void | setCurrentOption (const std::string value)
| Sets current parameter option using string.
int | currentOptionAsInteger () const
| Returns current parameter option position.
void | setIntValue (int value)
| Sets int value.
int | intValue () const
| Insert string (only valid for keywords).
void | setDoubleValue (double value)
| Sets double value.
double | doubleValue () const
| Insert string (only valid for keywords).
void | setStringValue (std::string value)
| Sets string value.
std::string | stringValue () const
| Insert string (only valid for keywords).
int | matches (std::string input) const
| Returns 1 if matches minimum, 2 if matches less, 0 if not matched.
CbcOrClpParameterType | type () const
| type
int | displayThis () const
| whether to display
void | setLonghelp (const std::string help)
| Set Long help.
void | printLongHelp () const
| Print Long help.
void | printString () const
| Print action and string.
int | whereUsed () const
| 7 if used everywhere, 1 - used by clp 2 - used by cbc 4 - used by ampl
void | gutsOfConstructor ()
| gutsOfConstructor
## Public Member Functions
Constructor and destructor
| CbcOrClpParam ()
| Constructors.
| CbcOrClpParam (std::string name, std::string help, double lower, double upper, CbcOrClpParameterType type, int display=2)
| Constructors.
| CbcOrClpParam (std::string name, std::string help, int lower, int upper, CbcOrClpParameterType type, int display=2)
| Constructors.
| CbcOrClpParam (std::string name, std::string help, std::string firstValue, CbcOrClpParameterType type, int whereUsed=7, int display=2)
| Constructors.
| CbcOrClpParam (std::string name, std::string help, CbcOrClpParameterType type, int whereUsed=7, int display=2)
| Constructors.
| CbcOrClpParam (const CbcOrClpParam &)
| Copy constructor.
CbcOrClpParam & | operator= (const CbcOrClpParam &rhs)
| Assignment operator. This copies the data.
| ~CbcOrClpParam ()
| Destructor.
## Private Attributes
data
We might as well throw all type data in - could derive?
CbcOrClpParameterType | type_
double | lowerDoubleValue_
| If double == okay.
double | upperDoubleValue_
int | lowerIntValue_
| If int == okay.
int | upperIntValue_
unsigned int | lengthName_
unsigned int | lengthMatch_
std::vector< std::string > | definedKeyWords_
| set of valid strings
std::string | name_
| Name.
std::string | shortHelp_
| Short help.
std::string | longHelp_
| Long help.
CbcOrClpParameterType | action_
| Action.
int | currentKeyWord_
| Current keyWord (if a keyword parameter).
int | display_
| Display on ?
int | intValue_
| Integer parameter - current value.
double | doubleValue_
| Double parameter - current value.
std::string | stringValue_
| String parameter - current value.
int | whereUsed_
| 7 if used everywhere, 1 - used by clp 2 - used by cbc 4 - used by ampl

## Detailed Description

Very simple class for setting parameters.

Definition at line 105 of file CbcOrClpParam.hpp.

## Constructor & Destructor Documentation

CbcOrClpParam::CbcOrClpParam | ( |  | ) |

Constructors.

CbcOrClpParam::CbcOrClpParam | ( | std::string | name,
|  | std::string | help,
|  | double | lower,
|  | double | upper,
|  | CbcOrClpParameterType | type,
|  | int | display = `2` |
| ) |  |  |

Constructors.

CbcOrClpParam::CbcOrClpParam | ( | std::string | name,
|  | std::string | help,
|  | int | lower,
|  | int | upper,
|  | CbcOrClpParameterType | type,
|  | int | display = `2` |
| ) |  |  |

Constructors.

CbcOrClpParam::CbcOrClpParam | ( | std::string | name,
|  | std::string | help,
|  | std::string | firstValue,
|  | CbcOrClpParameterType | type,
|  | int | whereUsed = `7`,
|  | int | display = `2` |
| ) |  |  |

Constructors.

CbcOrClpParam::CbcOrClpParam | ( | std::string | name,
|  | std::string | help,
|  | CbcOrClpParameterType | type,
|  | int | whereUsed = `7`,
|  | int | display = `2` |
| ) |  |  |

Constructors.

CbcOrClpParam::CbcOrClpParam | ( | const CbcOrClpParam & |  | ) |

Copy constructor.

CbcOrClpParam::~CbcOrClpParam | ( |  | ) |

Destructor.

## Member Function Documentation

CbcOrClpParam& CbcOrClpParam::operator= | ( | const CbcOrClpParam & | rhs | ) |

Assignment operator. This copies the data.

void CbcOrClpParam::append | ( | std::string | keyWord | ) |

Insert string (only valid for keywords).

void CbcOrClpParam::addHelp | ( | std::string | keyWord | ) |

Adds one help line.

std::string CbcOrClpParam::name | ( |  | ) | const`[inline]`

Returns name.

Definition at line 137 of file CbcOrClpParam.hpp.

References name_.

std::string CbcOrClpParam::shortHelp | ( |  | ) | const`[inline]`

Returns short help.

Definition at line 141 of file CbcOrClpParam.hpp.

References shortHelp_.

int CbcOrClpParam::setDoubleParameter | ( | CbcModel & | model,
|  | double | value |
| ) |  |  |

Sets a double parameter (nonzero code if error).

const char* CbcOrClpParam::setDoubleParameterWithMessage | ( | CbcModel & | model,
|  | double | value,
|  | int & | returnCode |
| ) |  |  |

Sets double parameter and returns printable string and error code.

double CbcOrClpParam::doubleParameter | ( | CbcModel & | model | ) | const

Gets a double parameter.

int CbcOrClpParam::setIntParameter | ( | CbcModel & | model,
|  | int | value |
| ) |  |  |

Sets a int parameter (nonzero code if error).

const char* CbcOrClpParam::setIntParameterWithMessage | ( | CbcModel & | model,
|  | int | value,
|  | int & | returnCode |
| ) |  |  |

Sets int parameter and returns printable string and error code.

int CbcOrClpParam::intParameter | ( | CbcModel & | model | ) | const

Gets a int parameter.

int CbcOrClpParam::setDoubleParameter | ( | ClpSimplex * | model,
|  | double | value |
| ) |  |  |

Sets a double parameter (nonzero code if error).

double CbcOrClpParam::doubleParameter | ( | ClpSimplex * | model | ) | const

Gets a double parameter.

const char* CbcOrClpParam::setDoubleParameterWithMessage | ( | ClpSimplex * | model,
|  | double | value,
|  | int & | returnCode |
| ) |  |  |

Sets double parameter and returns printable string and error code.

int CbcOrClpParam::setIntParameter | ( | ClpSimplex * | model,
|  | int | value |
| ) |  |  |

Sets a int parameter (nonzero code if error).

const char* CbcOrClpParam::setIntParameterWithMessage | ( | ClpSimplex * | model,
|  | int | value,
|  | int & | returnCode |
| ) |  |  |

Sets int parameter and returns printable string and error code.

int CbcOrClpParam::intParameter | ( | ClpSimplex * | model | ) | const

Gets a int parameter.

int CbcOrClpParam::setDoubleParameter | ( | OsiSolverInterface * | model,
|  | double | value |
| ) |  |  |

Sets a double parameter (nonzero code if error).

const char* CbcOrClpParam::setDoubleParameterWithMessage | ( | OsiSolverInterface * | model,
|  | double | value,
|  | int & | returnCode |
| ) |  |  |

Sets double parameter and returns printable string and error code.

double CbcOrClpParam::doubleParameter | ( | OsiSolverInterface * | model | ) | const

Gets a double parameter.

int CbcOrClpParam::setIntParameter | ( | OsiSolverInterface * | model,
|  | int | value |
| ) |  |  |

Sets a int parameter (nonzero code if error).

const char* CbcOrClpParam::setIntParameterWithMessage | ( | OsiSolverInterface * | model,
|  | int | value,
|  | int & | returnCode |
| ) |  |  |

Sets int parameter and returns printable string and error code.

int CbcOrClpParam::intParameter | ( | OsiSolverInterface * | model | ) | const

Gets a int parameter.

int CbcOrClpParam::checkDoubleParameter | ( | double | value | ) | const

Checks a double parameter (nonzero code if error).

std::string CbcOrClpParam::matchName | ( |  | ) | const

Returns name which could match.

int CbcOrClpParam::lengthMatchName | ( |  | ) | const

Returns length of name for ptinting.

int CbcOrClpParam::parameterOption | ( | std::string | check | ) | const

Returns parameter option which matches (-1 if none).

void CbcOrClpParam::printOptions | ( |  | ) | const

Prints parameter options.

std::string CbcOrClpParam::currentOption | ( |  | ) | const`[inline]`

Returns current parameter option.

Definition at line 191 of file CbcOrClpParam.hpp.

References currentKeyWord_, and definedKeyWords_.

void CbcOrClpParam::setCurrentOption | ( | int | value,
|  | bool | printIt = `false` |
| ) |  |  |

Sets current parameter option.

const char* CbcOrClpParam::setCurrentOptionWithMessage | ( | int | value | ) |

Sets current parameter option and returns printable string.

void CbcOrClpParam::setCurrentOption | ( | const std::string | value | ) |

Sets current parameter option using string.

int CbcOrClpParam::currentOptionAsInteger | ( |  | ) | const`[inline]`

Returns current parameter option position.

Definition at line 200 of file CbcOrClpParam.hpp.

References currentKeyWord_.

void CbcOrClpParam::setIntValue | ( | int | value | ) |

Sets int value.

int CbcOrClpParam::intValue | ( |  | ) | const`[inline]`

Insert string (only valid for keywords).

Definition at line 204 of file CbcOrClpParam.hpp.

References intValue_.

void CbcOrClpParam::setDoubleValue | ( | double | value | ) |

Sets double value.

double CbcOrClpParam::doubleValue | ( |  | ) | const`[inline]`

Insert string (only valid for keywords).

Definition at line 208 of file CbcOrClpParam.hpp.

References doubleValue_.

void CbcOrClpParam::setStringValue | ( | std::string | value | ) |

Sets string value.

std::string CbcOrClpParam::stringValue | ( |  | ) | const`[inline]`

Insert string (only valid for keywords).

Definition at line 212 of file CbcOrClpParam.hpp.

References stringValue_.

int CbcOrClpParam::matches | ( | std::string | input | ) | const

Returns 1 if matches minimum, 2 if matches less, 0 if not matched.

CbcOrClpParameterType CbcOrClpParam::type | ( |  | ) | const`[inline]`

type

Definition at line 217 of file CbcOrClpParam.hpp.

References type_.

int CbcOrClpParam::displayThis | ( |  | ) | const`[inline]`

whether to display

Definition at line 220 of file CbcOrClpParam.hpp.

References display_.

void CbcOrClpParam::setLonghelp | ( | const std::string | help | ) | `[inline]`

Set Long help.

Definition at line 223 of file CbcOrClpParam.hpp.

References longHelp_.

void CbcOrClpParam::printLongHelp | ( |  | ) | const

Print Long help.

void CbcOrClpParam::printString | ( |  | ) | const

Print action and string.

int CbcOrClpParam::whereUsed | ( |  | ) | const`[inline]`

7 if used everywhere, 1 - used by clp 2 - used by cbc 4 - used by ampl

Definition at line 234 of file CbcOrClpParam.hpp.

References whereUsed_.

void CbcOrClpParam::gutsOfConstructor | ( |  | ) | `[private]`

gutsOfConstructor

## Member Data Documentation

CbcOrClpParameterType CbcOrClpParam::type_`[private]`

Definition at line 249 of file CbcOrClpParam.hpp.

Referenced by type().

double CbcOrClpParam::lowerDoubleValue_`[private]`

If double == okay.

Definition at line 251 of file CbcOrClpParam.hpp.

double CbcOrClpParam::upperDoubleValue_`[private]`

Definition at line 252 of file CbcOrClpParam.hpp.

int CbcOrClpParam::lowerIntValue_`[private]`

If int == okay.

Definition at line 254 of file CbcOrClpParam.hpp.

int CbcOrClpParam::upperIntValue_`[private]`

Definition at line 255 of file CbcOrClpParam.hpp.

unsigned int CbcOrClpParam::lengthName_`[private]`

Definition at line 257 of file CbcOrClpParam.hpp.

unsigned int CbcOrClpParam::lengthMatch_`[private]`

Definition at line 259 of file CbcOrClpParam.hpp.

std::vector<std::string> CbcOrClpParam::definedKeyWords_`[private]`

set of valid strings

Definition at line 261 of file CbcOrClpParam.hpp.

Referenced by currentOption().

std::string CbcOrClpParam::name_`[private]`

Name.

Definition at line 263 of file CbcOrClpParam.hpp.

Referenced by name().

std::string CbcOrClpParam::shortHelp_`[private]`

Short help.

Definition at line 265 of file CbcOrClpParam.hpp.

Referenced by shortHelp().

std::string CbcOrClpParam::longHelp_`[private]`

Long help.

Definition at line 267 of file CbcOrClpParam.hpp.

Referenced by setLonghelp().

CbcOrClpParameterType CbcOrClpParam::action_`[private]`

Action.

Definition at line 269 of file CbcOrClpParam.hpp.

int CbcOrClpParam::currentKeyWord_`[private]`

Current keyWord (if a keyword parameter).

Definition at line 271 of file CbcOrClpParam.hpp.

Referenced by currentOption(), and currentOptionAsInteger().

int CbcOrClpParam::display_`[private]`

Display on ?

Definition at line 273 of file CbcOrClpParam.hpp.

Referenced by displayThis().

int CbcOrClpParam::intValue_`[private]`

Integer parameter - current value.

Definition at line 275 of file CbcOrClpParam.hpp.

Referenced by intValue().

double CbcOrClpParam::doubleValue_`[private]`

Double parameter - current value.

Definition at line 277 of file CbcOrClpParam.hpp.

Referenced by doubleValue().

std::string CbcOrClpParam::stringValue_`[private]`

String parameter - current value.

Definition at line 279 of file CbcOrClpParam.hpp.

Referenced by stringValue().

int CbcOrClpParam::whereUsed_`[private]`

7 if used everywhere, 1 - used by clp 2 - used by cbc 4 - used by ampl

Definition at line 285 of file CbcOrClpParam.hpp.

Referenced by whereUsed().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.55.0/Clp/src/CbcOrClpParam.hpp